package es.ua.jtech.jhd.sesion07.ejercicios.matrices;

import junit.framework.Test;
import junit.framework.TestSuite;

public class MatrizSuite {

	public static Test suite()
	{
		TestSuite suite  = new TestSuite("suiteRaiz");
		TestSuite suiteA = new TestSuite("suiteSuma");
		TestSuite suiteB = new TestSuite("suiteResta");
		TestSuite suiteC = new TestSuite("suiteMultiplicacion");

		suiteA.addTest(new MatrizTest("testSuma"));

		suiteB.addTest(new MatrizTest("testResta"));
		suiteB.addTest(new MatrizTest("testResta2"));

		suiteC.addTest(new MatrizTest("testMultiplicar"));

		suite.addTest(suiteA);
		suite.addTest(suiteB);
		suite.addTest(suiteC);
		
		return suite;
	}

	public static void main (String[] args)
	{
		junit.swingui.TestRunner.run(MatrizSuite.class);
	}
}
